Bug 592666 - PO matching fails when <indexterm> follows another tag without a space
PO matching fails when <indexterm> follows another tag without a space
Status: CLOSED ERRATA
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-16 00:44 EDT by Ruediger Landmann
Modified: 2010-11-23 23:18 EST (History)
4 users (show)

See Also:
Fixed In Version: publican-2.1-0.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-07 13:35:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ruediger Landmann 2010-05-16 00:44:49 EDT
Description of problem:
When <indexterm> follows another tag without a space between them, Publican fails while matching PO files to build translated content:

Can't call method "is_empty" on an undefined value at /usr/lib/perl5/vendor_perl/5.8.8/Publican/Translate.pm line 490

Version-Release number of selected component (if applicable):
1.6.3

How reproducible:
100%

Steps to Reproduce:
1. Include an <indexterm> following another tag without a space in a document, for example:

<para><indexterm><primary>Example</primary></primary> 

2. Create POT and PO files for any language

3. Build the document in the language for which you created PO files
  
Actual results:
Build fails with message Can't call method "is_empty" on an undefined value at /usr/lib/perl5/vendor_perl/5.8.8/Publican/Translate.pm line 490

Expected results: Build succeeds


Additional info:
Workaround -- introduce a space or tabs between the <indexterm> and any tags that precede it.
Comment 1 Jeff Fearn 2010-05-21 22:45:02 EDT
Added check to cover no previous node.

Fixed in build 1.6.3-0.f12.t67
Comment 2 Fedora Update System 2010-07-06 02:00:22 EDT
publican-2.0-0.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/publican-2.0-0.fc13
Comment 3 Fedora Update System 2010-07-06 02:01:01 EDT
publican-2.0-0.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/publican-2.0-0.fc12
Comment 4 Fedora Update System 2010-07-06 13:18:23 EDT
publican-2.0-0.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update publican'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/publican-2.0-0.fc12
Comment 5 Fedora Update System 2010-07-06 13:19:48 EDT
publican-2.0-0.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update publican'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/publican-2.0-0.fc13
Comment 6 Fedora Update System 2010-07-06 23:13:03 EDT
publican-2.1-0.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/publican-2.1-0.fc13
Comment 7 Fedora Update System 2010-07-06 23:13:37 EDT
publican-2.1-0.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/publican-2.1-0.fc12
Comment 8 Fedora Update System 2010-07-07 13:35:10 EDT
publican-2.1-0.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-07-07 13:39:45 EDT
publican-2.1-0.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.